<template>
    <div class="nav-tabs-custom">
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#settings" data-toggle="tab">Settings</a>
            </li>
        </ul>
        <div class="tab-content">
            <div class="tab-pane active" id="settings">
                <form
                    class="form-horizontal"
                    @submit.prevent="validateForm($event)"
                    action="#"
                    method="post"
                >
                    <div class="form-group" :class="showError('name')">
                        <label for="inputName" class="col-sm-2 control-label">Name</label>

                        <div class="col-sm-10">
                            <input
                                type="text"
                                v-model="formData.name"
                                name="name"
                                class="form-control"
                                id="inputName"
                                placeholder="Name"
                                v-validate="'required'"
                            >
                            <span v-show="errors.has('name')" class="help-block">
                                <i class="fa fa-warning"></i>
                                {{ errors.first('name') }}
                            </span>
                        </div>
                    </div>
                    <div class="form-group" :class="showError('file')">
                        <label for="inputFile" class="col-sm-2 control-label">Logo</label>

                        <div class="col-sm-10">
                            <div class="container">
                                <div class="img-uploader">
                                    <div class="preview-img"></div>
                                    <i class="fa fa-times delete-img"></i>
                                    <label class="btn btn-success btn-upload">
                                        Upload
                                        <input
                                            type="file"
                                            id="file"
                                            name="file"
                                            ref="file"
                                            class="btn-success"
                                            value="Upload Photo"
                                            style="width: 0px;height: 0px;overflow: hidden;"
                                            data-vv-as="image"
                                            v-validate="'ext:jpeg,jpg,png|size:1000'"
                                        >
                                    </label>
                                </div>
                                <!-- row -->
                            </div>
                            <span v-show="errors.has('file')" class="help-block">
                                <i class="fa fa-warning"></i>
                                {{ errors.first('file') }}
                            </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="email" class="col-sm-2 control-label">Email</label>

                        <div class="col-sm-10">
                            <input
                                type="text"
                                name="email"
                                class="form-control"
                                id="email"
                                v-model="formData.email"
                                readonly
                                placeholder="Email"
                            >
                        </div>
                    </div>
                    <div class="form-group" :class="showError('phone')">
                        <label for="phone" class="col-sm-2 control-label">Phone</label>

                        <div class="col-sm-10">
                            <input
                                type="text"
                                class="form-control"
                                id="phone"
                                name="phone"
                                v-validate="{regex: /((\+\d-\d{3}|-\d{3})|((\d{2}.|\d{2})*\d)|([\d)\d\s])|(\+))/}"
                                placeholder="1-999-999-999"
                                v-model="formData.phone"
                            >
                            <span v-show="errors.has('phone')" class="help-block">
                                <i class="fa fa-warning"></i>
                                {{ errors.first('phone') }}
                            </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="address" class="col-sm-2 control-label">Address</label>

                        <div class="col-sm-10">
                            <input
                                type="text"
                                class="form-control"
                                id="address"
                                name="address"
                                placeholder
                                v-model="formData.address"
                            >
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-10">
                            <button type="submit" class="btn btn-danger">Save</button>
                        </div>
                    </div>
                </form>
            </div>
            <!-- /.tab-pane -->
        </div>
        <!-- /.tab-content -->
    </div>
    <!-- /.nav-tabs-custom -->
</template>

<script src='./SettingProfile.js'></script>
